Bug 154736 - science/cgnslib: chase upgrade & switch from science/hdf5 to science/hdf5-18
Summary: science/cgnslib: chase upgrade & switch from science/hdf5 to science/hdf5-18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-13 14:20 UTC by Thierry Thomas
Modified: 2011-03-01 18:00 UTC (History)
1 user (show)

See Also:


Attachments
med.diff (634 bytes, patch)
2011-02-13 14:20 UTC, Thierry Thomas
no flags Details | Diff
ecs.diff (1.04 KB, patch)
2011-02-13 14:20 UTC, Thierry Thomas
no flags Details | Diff
salome.diff (1.21 KB, patch)
2011-02-13 14:20 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2011-02-13 14:20:07 UTC
	Chase the upgrade of science/cgnslib to 2.5-5; this implies to
	switch some dependencies from science/hdf5 to science/hdf5-18.

	See PR ports/154735 .

	As a side note: I think that all ports depending on science/hdf5
	could be switched to science/hdf5-18, by defining H5_USE_16_API
	when necessary, and then science/hdf5 could be deprecated.

Fix: Apply the hereunder patches:

diff -urN science/fvm.orig/Makefile science/fvm/Makefile
--- science/fvm.orig/Makefile	2010-11-15 22:20:57.000000000 +0100
+++ science/fvm/Makefile	2011-02-12 17:39:33.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	fvm
 PORTVERSION=	0.12.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	science parallel
 MASTER_SITES=	http://rd.edf.com/fichiers/fckeditor/File/EDF%20RD/Code_Saturne/Fichiers/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/.//g}
@@ -18,7 +18,7 @@
 
 LIB_DEPENDS=	med.2:${PORTSDIR}/french/med		\
 		bft.1:${PORTSDIR}/science/bft		\
-		hdf5.0:${PORTSDIR}/science/hdf5		\
+		hdf5.6:${PORTSDIR}/science/hdf5		\
 		cgns.0:${PORTSDIR}/science/cgnslib
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
--- fvm.diff2 ends here ---

diff -urN french/aster.orig/Makefile french/aster/Makefile
--- french/aster.orig/Makefile	2010-12-29 23:02:09.000000000 +0100
+++ french/aster/Makefile	2011-02-12 21:30:42.000000000 +0100
@@ -7,6 +7,7 @@
 
 PORTNAME=		aster
 DISTVERSION=		${ASTER_DISTVERSION}
+PORTREVISION=		1
 CATEGORIES=		french cad
 
 MAINTAINER=	thierry@FreeBSD.org
@@ -38,7 +39,7 @@
 		${PYNUMPY}
 LIB_DEPENDS+=	tcl${SHORT_TCL_VER}:${PORTSDIR}/lang/tcl${SHORT_TCL_VER}	\
 		tk${SHORT_TK_VER}:${PORTSDIR}/x11-toolkits/tk${SHORT_TK_VER}	\
-		hdf5.0:${PORTSDIR}/science/hdf5					\
+		hdf5.6:${PORTSDIR}/science/hdf5-18				\
 		med.2:${PORTSDIR}/french/med
 RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/Gnuplot:${PORTSDIR}/math/py-gnuplot	\
 		${LOCALBASE}/bin/onmetis.exe:${PORTSDIR}/math/metis-edf		\
@@ -302,18 +303,18 @@
 		>> ${WRKSRC}/setup.cfg
 	${ECHO_CMD} "F90FLAGS_DBG='-c -g -O ${FLAGARCH} ${FFLAGARCH} -I${LOCALBASE}/include -I${HOME_MPI}/include'"	\
 		>> ${WRKSRC}/setup.cfg
-	${ECHO_CMD} "CFLAGS='-c ${CFLAGS} -fno-stack-protector ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include -I${HOME_MPI}/include'"	\
+	${ECHO_CMD} "CFLAGS='-c ${CFLAGS} -fno-stack-protector -DH5_USE_16_API ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include -I${HOME_MPI}/include'"	\
 		>> ${WRKSRC}/setup.cfg
-	${ECHO_CMD} "CFLAGS_DBG='-c -g -O -pipe -fno-stack-protector ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include -I${HOME_MPI}/include'"	\
+	${ECHO_CMD} "CFLAGS_DBG='-c -g -O -pipe -fno-stack-protector -DH5_USE_16_API ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include -I${HOME_MPI}/include'"	\
 		>> ${WRKSRC}/setup.cfg
 .else
 	${ECHO_CMD} "F90FLAGS='-c ${FFLAGS} ${FLAGARCH} ${FFLAGARCH} -I${LOCALBASE}/include'"	\
 		>> ${WRKSRC}/setup.cfg
 	${ECHO_CMD} "F90FLAGS_DBG='-c -g -O ${FLAGARCH} ${FFLAGARCH} -I${LOCALBASE}/include'"	\
 		>> ${WRKSRC}/setup.cfg
-	${ECHO_CMD} "CFLAGS='-c ${CFLAGS} -fno-stack-protector ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include'"	\
+	${ECHO_CMD} "CFLAGS='-c ${CFLAGS} -fno-stack-protector -DH5_USE_16_API ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include'"	\
 		>> ${WRKSRC}/setup.cfg
-	${ECHO_CMD} "CFLAGS_DBG='-c -g -O -pipe -fno-stack-protector ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include'"	\
+	${ECHO_CMD} "CFLAGS_DBG='-c -g -O -pipe -fno-stack-protector -DH5_USE_16_API ${PTHREAD_CFLAGS} ${FLAGARCH} -I${LOCALBASE}/include'"	\
 		>> ${WRKSRC}/setup.cfg
 .endif
 .for is in ${INTERACTIVE_SCRIPTS}
--- aster.diff2 ends here ---
How-To-Repeat: 	N/A.
Comment 1 Edwin Groothuis freebsd_committer 2011-02-13 14:20:14 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-13 14:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 3 dfilter service freebsd_committer 2011-02-26 10:23:24 UTC
thierry     2011-02-26 10:23:19 UTC

  FreeBSD ports repository

  Modified files:
    french/med           Makefile 
    science/fvm          Makefile 
    science/ecs          Makefile distinfo 
    french/aster         Makefile 
    cad/salome-kernel    Makefile 
    cad/salome-med       Makefile 
    cad/salome           Makefile.ext 
  Log:
  Chase the upgrade of science/cgnslib to 2.5-5; this implies to
  switch some dependencies from science/hdf5 to science/hdf5-18.
  
  As a side note: I think that all ports depending on science/hdf5
  could be switched to science/hdf5-18, by defining H5_USE_16_API
  when necessary, and then science/hdf5 could be deprecated.
  
  PR:             ports/154736
  
  Revision  Changes    Path
  1.5       +1 -0      ports/cad/salome-kernel/Makefile
  1.4       +1 -0      ports/cad/salome-med/Makefile
  1.12      +1 -1      ports/cad/salome/Makefile.ext
  1.82      +6 -5      ports/french/aster/Makefile
  1.38      +2 -2      ports/french/med/Makefile
  1.11      +2 -2      ports/science/ecs/Makefile
  1.5       +0 -1      ports/science/ecs/distinfo
  1.10      +2 -2      ports/science/fvm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2011-03-01 17:59:46 UTC
thierry     2011-03-01 17:59:32 UTC

  FreeBSD ports repository

  Modified files:
    science/fvm          Makefile 
  Log:
  Fix the previous commit.
  
  Reported by:    pointyhat via Pav
  PR:             ports/154736
  
  Revision  Changes    Path
  1.11      +1 -1      ports/science/fvm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Thierry Thomas freebsd_committer 2014-06-01 07:28:19 UTC
State Changed
From-To: open->suspended


To be committed with PR ports/154735 .
Comment 6 Thierry Thomas freebsd_committer 2014-06-01 07:28:19 UTC
State Changed
From-To: suspended->closed


Committed.